Subject: Re: bug#17142: 24.4.50; Initial frame geometry on OSX

From: martin rudalics <[email-masked]>
Date: Sun, 30 Mar 2014 12:51:44 +0200

> When changing the default font and the height in default-frame-alist,
 > the width is not set correctly.  I have the following lines in the
 > .emacs file:
 >
 > (add-to-list 'default-frame-alist '(font . "Courier-14"))
 > (add-to-list 'default-frame-alist '(height . 71))
 >
 > The default width, which is 80 characters, seems to be evaluated with
 > the default font, which is Monaco-12. Courier-14 is a bit wider, and
 > the initial frame is too narrow (it has only 70 characters per line).
 >
 > When I change my settings to
 >
 > (add-to-list 'default-frame-alist '(font . "Courier-14"))
 > (add-to-list 'default-frame-alist '(width . 80))
 > (add-to-list 'default-frame-alist '(height . 71))
 >
 > everything is fine.  When I change my settings to
 >
 > (add-to-list 'default-frame-alist '(font . "Courier-14"))
 >
 > leaving the height as ist is, the width of 80 characters per line is
 > also set correctly.

Thanks for the report - in particular for the two scenarios where
"everything is fine" or "set correctly".  I found the problem and am
working on a fix.

martin